"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
const Jasmine = require('jasmine');
const glob_1 = require("glob");
const minimist_1 = __importDefault(require("minimist"));
const jasmineRunner = new Jasmine();
const args = minimist_1.default(process.argv.slice(2));
let specs;
if (args.specs) {
    specs = args.specs.split(',').map(spec => path_1.join(__dirname, spec));
}
else {
    specs = glob_1.sync(path_1.join(__dirname, '*.test.*s'))
        .filter(f => !f.endsWith('.d.ts'))
        .map(f => f.substring(0, f.length - 3));
}
jasmineRunner.specFiles = specs;
jasmineRunner.execute();
//# sourceMappingURL=index.js.map